curl --request GET \
--url https://api.syntage.com/webhook-endpoints/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/webhook-endpoints/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/webhook-endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/WebhookEndpoint",
"@id": "/webhook-endpoints/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "WebhookEndpoint",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"url": "https://example.com/webhooks/syntage",
"signingSecret": "54471a278d46c86ec6cd365983552a28",
"events": [
"extraction.updated",
"invoice.created"
],
"enabled": true,
"contentType": "application/ld+json",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve webhook endpoint
Get a webhook endpoint by ID.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Webhook endpoint resource response
Webhook endpoint IRI
"/webhook-endpoints/91106968-1abd-4d64-85c1-4e73d96fb997"
"e0a24894-7fbf-48ae-bfb0-efaae30a6319"
Public HTTPS URL where Syntage sends matching webhook events
"https://example.com/webhooks/syntage"
Secret used to verify X-Syntage-Signature delivery headers
"54471a278d46c86ec6cd365983552a28"
Event types delivered to this endpoint
Event type delivered to a webhook endpoint
credential.created, credential.updated, credential.deleted, link.created, link.updated, link.deleted, extraction.created, extraction.updated, invoice.created, invoice.updated, invoice.deleted, tax_return.created, tax_return.updated, tax_return.deleted, file.created, export.created, export.updated, tax_status.created, tax_status.updated, tax_status.deleted, tax_compliance_check.created, tax_compliance_check.updated, tax_compliance_check.deleted, tax_retention.created, tax_retention.updated, tax_retention.deleted, invoice_payment.created, invoice_payment.updated, invoice_line_item.created, invoice_line_item.updated, electronic_accounting_record.created, electronic_accounting_record.updated, rpc_entidades.created, rpc_entidades.updated, rpc_socios.created, rpc_socios.updated, rpc_acto.created, rpc_acto.updated, shareholder_relation.created, shareholder_relation.updated, shareholder_relation_source.created, rug_garantia.created, rug_garantia.updated, buro_de_credito_report.created, buro_de_credito_report.updated, background_check.created, sat_certificate.created, sat_certificate.updated, company_verification_report.created, company_verification_report.updated ["extraction.updated", "invoice.created"]
Whether Syntage sends matching events to this endpoint
true
Content type used for webhook delivery payloads
application/ld+json, application/json Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Was this page helpful?